<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
                xmlns:jsf="http://xmlns.jcp.org/jsf"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                template="./../plantilla-principal.xhtml"
                xmlns:o="http://omnifaces.org/ui">

    <ui:define name="contenido">
        <div class="ui grid">
            <div class="six wide column">
                <h2 class="ui header">Premios</h2>
                <form jsf:id="form-sorteo" jsf:prependId="false" class="ui form" jsf:onsubmit="#{sorteopremioManBean.listapremioxsorteo()}">
                    <div class="field">
                        <div id="sorteoselect" class="ui selection dropdown">
                            <input name="sorteoinput" id="sorteoinput" jsf:value="#{sorteopremioManBean.idtempsorteo}" type="hidden"/>
                            <i class="dropdown icon" />
                            <div class="default text">Sorteo</div>
                            <div class="menu">
                                <ui:repeat  value="#{sorteopremioManBean.listadeSorteo()}" var="sorteoprem">
                                    <div id="1#{sorteoprem.idsorteo}" class="item" data-value="#{sorteoprem.idsorteo}">#{sorteoprem.descripcion}</div>
                                    <script type="text/javascript">
                                        $(document).ready(function () {
//                                            $('#sorteoselect').dropdown('set selected', 1);
                                            $('#1#{sorteoprem.idsorteo}').click(function () {
                                                var sorteoinput = #{sorteoprem.idsorteo};
                                                var jsonselect = JSON.stringify(sorteoinput);
                                                $('#sorteoinput').val(jsonselect);
                                                $('#form-sorteo').submit();
                                            });
                                        });
                                    </script>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>
                </form>
                <table id="tablapremio" class="ui selectable celled table">
                    <thead>
                        <tr>
                            <th></th>
                            <th>Premio</th>
                        </tr>
                    </thead>
                    <tbody>
                        <ui:repeat value="#{sorteopremioManBean.listapremioxsorteo()}" var="premio">
                            <tr id="#{premio.idpremios}" class="#{empty premio.ganador?'negative':'positive'}">
                                <td>#{premio.numeroPremio}</td>
                                <td>#{premio.descripcion}</td>
                            </tr>
                            <script type="text/javascript">
                                $(document).ready(function () {
                                    $("##{premio.idpremios} td").click(function (evento) {
                                        $('.active').removeClass('active');
                                        $("##{premio.idpremios} td").addClass('active');
                                        var target = $('.active').hasClass('active');
                                        if (target === true) {
                                            var id = $("##{premio.idpremios}").attr("id");
                                            var jsonselect = JSON.stringify(id);
                                            $('#jsonidpremio').val(jsonselect);
                                        }
                                    });
                                });
                            </script>
                        </ui:repeat>
                    </tbody>
                </table>
            </div>
            <div class="eight wide column">
                <h2 class="ui header">Sorteo</h2>
                <div class="ui four column grid">
                    <div class="row">
                        <div class="four wide column">
                            <a id="lbidsuscripcion" class="ui green massive basic label">
                                <div id="second">000000</div>
                            </a>
                        </div>
                        <div class="three wide column">
                            <label><br/></label>
                            <button id="btn-comenzar" class="ui button">Iniciar</button>
                        </div>
                        <div class="column">
                            <label><br/></label>
                            <form jsf:id="form" jsf:prependId="false" class="ui form">
                                <button id="btn-guardar" class="ui green button" jsf:action="#{sorteopremioManBean.insertarGanador()}">Guardar</button>
                                <input name="jsonidpremio" id="jsonidpremio" type="hidden" jsf:value="#{sorteopremioManBean.premioIDsuscripcionJson}" />
                                <input name="jsonidsorteo" id="jsonidsorteo" type="hidden" jsf:value="#{sorteopremioManBean.sorteoIDsuscripcionJson}" />
                            </form>
                        </div>
                    </div>
                </div>
                <h2 class="ui header">Ganador</h2>
                <table id="tablasorteo" class="ui selectable celled table">
                    <thead>
                        <tr>
                            <th>Premio</th>
                            <th>ID</th>
                            <th>Nombre y Apellido</th>
                            <th>CI</th>
                        </tr>
                    </thead>
                    <tbody>
                        <ui:repeat value="#{sorteopremioManBean.listapremioxsorteo()}" var="sorteopremio">
                            <tr id="#{sorteopremio.ganador.idsuscripcion}">
                                <td>#{sorteopremio.numeroPremio}</td>
                                <td>#{sorteopremio.ganador.idsuscripcion}</td>
                                <td>#{sorteopremio.ganador.cliente.razonSocial}</td>
                                <td id="#{sorteopremio.ganador.cliente.ci}">
                                    <script type="text/javascript">
                                        $(document).ready(function () {
                                            var premioci = "#{sorteopremio.ganador.cliente.ci.toString()}";
                                            if (premioci.length === 7) {
                                                var ciparcial = "xxxx-" + premioci.substring(4);
                                            } else {
                                                var ciparcial = "xxxx-" + premioci.substring(3);
                                            }
                                            $('##{sorteopremio.ganador.cliente.ci}').html(ciparcial);
                                        });
                                    </script>
                                </td>
                            </tr>
                        </ui:repeat>
                    </tbody>
                </table>
            </div>
        </div>
        <script type="text/javascript">
            

            $(document).ready(function () {

                var tiempo = {
                    segundo: 0
                };
                var lista = #{sorteopremioManBean.conversorStringJson()};
                var i = lista.length;
                while (i--) {
                    var j = Math.floor(Math.random() * (i + 1));
                    var tmp = lista[i];
                    lista[i] = lista[j];
                    lista[j] = tmp;
                }
                var tiempo_corriendo = null;
                $("#btn-comenzar").click(function () {
                    if ($(this).text() === 'Iniciar')
                    {
                        $(this).text('Detener');
                        tiempo_corriendo = setInterval(function () {
                            // Segundos
                            tiempo.segundo++;
                            if (tiempo.segundo >= lista.length)
                            {
                                tiempo.segundo = 0;
                            }
                            $("#second").text(lista[tiempo.segundo]);
                        }, 1);
                    } else
                    {
                        var ganador = $("#second").html();
                        var jsonselect = JSON.stringify(ganador);
                        $('#jsonidsorteo').val(jsonselect);
                        $(this).text('Iniciar');
                        clearInterval(tiempo_corriendo);
                    }
                });
            });
        </script>
    </ui:define>

</ui:composition>